%bcond_with bootstrap

Summary:        Plexus IO Components
Name:           plexus-io
Version:        3.2.0
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/%{name}
Source0:        https://github.com/codehaus-plexus/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap-openjdk8
%else
BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(commons-io:commons-io) mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%endif

BuildArch:      noarch

%description
Plexus IO is a set of plexus components, which are designed for use
in I/O operations.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version}
cp %{SOURCE1} .

%pom_remove_plugin :animal-sniffer-maven-plugin

sed -i /class/i@org.junit.Ignore src/test/java/org/codehaus/plexus/components/io/attributes/SymlinkUtilsTest.java

%build
%mvn_file  : plexus/io
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license NOTICE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license NOTICE.txt LICENSE-2.0.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.2.0-4
- Disable bootstrap

* Tue Apr 18 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.2.0-3
- Rewritten spec for maven 3.8.6

* Fri Mar 24 2023 Shuo Wang <abushwang@tencent.com> - 3.2.0-2
- initial build

* Fri Mar 10 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.2.0-1
- Initial build
